::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21008
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=8-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported


set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=26b2ab4b94378b92ee2a4802f80db5d0
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=ae84bfa60623907bb8e427b2152bf644
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=3f6fb796a0f7353b2abdec94d54c848f
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=828434bf32e8955604fd97f279679ea4
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=45cacba5c6ec4354fdfc1897e181d0a9
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=82bae3f38f80fb75283ea8b3f9f0dcf3
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=6b89794840db07268969e42eadff65d3
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=d8e2af0dc66b304e4a91ef02931681c1
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=15b4f42b7c174bc59dde005d6308174b
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=7768708751021d1726c0776b805e3a6f
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=7acd515c425b45172f909c2c8d95ff40
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=7f3d117827fcd955f5675d895ae2a962
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=ff2a70cb57f8e87298748b78fb28a11c
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=6388a7fb31a40c13ac8e4eff5b1e25a5
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5=5b6e7d60e43de908286255c8562c8705
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5=54cdceddde554a2a8ca4147cda903cdf
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5=3feb0755ca2ddb4b13e68eaadf990959
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5=f51402e9d65c522bcb248d16dbc5c1ed
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5=04d83f1ae06e6f078a1ad62c8980ae14
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5=84fbd1f37ea17585e41cd3d1fcf4fee2
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=7c283a1cedc3127019e32be945d97fe5
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=94f50b592804e1f6103c0cdd1d106d92
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=afa269160dfc8b6bf9be3fb6d95d5e74
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=069727ca5f820c6c26286408722c428c
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=95cb1185fc3390c60f73b1870838a202
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=8508b5f08cc15367ce24067db4b26b49
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=3a9364f0672084ee1586c03a8b11bac7
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=099c286d30556aa7ae08b184b98491bc
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=9da87ecc7781b3daf0d16cb8fc698fb4
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=5215e547c6daf65927d7e950273dd68d
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=890d7b7143f8305f7d78aa7e30eeba3d
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=1cd15e0f369b33cfc2c5918b5655d923
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=d747c154554835d0ce6f7267d58781fa
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=de815bf2cbfd85d4bc73409e863ba08e
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=dc5de47fb6202d292dd25663ee9d458c
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=bf30b667ece284d847d1e6a60576c99a
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5alt=d74b0486e0a7e972f82334b058d3b1f7
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5alt=89fd1a7dca347a7abadfc0f31e40d521
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5alt=2275b7a67dd6f177dd9a84a34fcdec4d
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5alt=95124625b449a3ec7aee6b2e93c72c4f
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5alt=608bec53849f7000e305644a042ce1de
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5alt=b5d7a9fdbabf0dda848b932bd0cbb618
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=16e330a2604a55341e7c506913efa584
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=c22067f263e46444cb7d7c3af5761f4a
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

